schema: 1

bugzilla:
  product: "Core"
  component: "Graphics: ImageLib"

origin:
  name: "libwebp"
  description: "WebP codec library"

  url: "https://chromium.googlesource.com/webm/libwebp"
  license: BSD-3-Clause

  release: v1.5.0 (2024-12-19T17:17:50-08:00).

  revision: "v1.3.0"

  license-file: COPYING

updatebot:
  maintainer-phab: tnikkel
  maintainer-bz: tnikkel@gmail.com
  tasks:
    - type: vendoring
      enabled: True

vendoring:
  url: https://github.com/webmproject/libwebp
  source-hosting: github
  tracking: tag

  exclude:
    - "**"

  include:
    - AUTHORS
    - COPYING
    - NEWS
    - PATENTS
    - README.md
    - sharpyuv/*.h
    - sharpyuv/*.c
    - src/webp/*.h
    - src/dec/*.h
    - src/dec/*.c
    - src/demux/demux.c
    - src/dsp/*.h
    - src/dsp/*.c
    - src/enc/*.h
    - src/enc/*.c
    - src/utils/*.h
    - src/utils/*.c

  keep:
    - MOZCHANGES
    - src/moz

  update-actions:
    - action: delete-path
      path: src/dsp/cpu.c
    - action: delete-path
      path: sharpyuv/sharpyuv_cpu.c
